local coroutineEntity = monocle.Entity()

local vector2 = require("#microsoft.xna.framework.vector2")

function onTalk()
log("hi")
  log("hi")
  disableMovement()
  setFlag("lunarFourthPhase", true)
  wait(3)
  say("LunarFourthDia")
  wait(0.5)
  setFlag("lunarFourthPhase", false)
  setFlag("watchedCutsceneLunar4", true)
end

function onEnd(room, wasSkipped)
  player.DummyAutoAnimate = true
  player.ForceCameraUpdate = true
  getLevel():ResetZoom()
  setFlag("lunarFourthPhase", false)
  setFlag("watchedCutsceneLunar4", true)
  enableMovement()
    if wasSkipped then
    player.DummyAutoAnimate = true
    player.ForceCameraUpdate = true
    getLevel():ResetZoom()
    setFlag("lunarFourthPhase", false)
    enableMovement()
    setFlag("watchedCutsceneLunar4", true)
    end
end